ManagedEntityConfig (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: ManagedEntityConfig

Package org.apache.geode.admin

# Interface ManagedEntityConfig

All Superinterfaces:
  `Cloneable`

All Known Subinterfaces:
  `CacheServerConfig`, `CacheVmConfig`, `DistributionLocatorConfig`

@Deprecated public interface ManagedEntityConfig extends Cloneable
Deprecated.
as of 7.0 use the `management` package instead
Common configuration for all entities that can be managed using the GemFire administration API. Note that once a managed entity has been started, attempts to modify its configuration will cause an `IllegalStateException` to be thrown.

Since:
  GemFire 4.0
See Also:
  - `ManagedEntity`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Deprecated.
  Returns a new `ManagedEntityConfig` with the same configuration as this `ManagedEntityConfig`.
  `String`
  `getHost()`
  Deprecated.
  Returns the name of the host on which the managed entity runs or will run.
  `String`
  `getProductDirectory()`
  Deprecated.
  Returns the name of the GemFire product directory to use when administering the managed entity.
  `String`
  `getRemoteCommand()`
  Deprecated.
  Returns the command prefix used to administer a managed entity that is hosted on a remote machine.
  `String`
  `getWorkingDirectory()`
  Deprecated.
  Returns the name of the working directory in which the managed entity runs or will run.
  `void`
  `setHost(String host)`
  Deprecated.
  Sets the name of the host on which the managed entity will run.
  `void`
  `setProductDirectory(String dir)`
  Deprecated.
  Sets the name of the GemFire product directory to use when administering the managed entity.
  `void`
  `setRemoteCommand(String remoteCommand)`
  Deprecated.
  Sets the command prefix used to administer a managed entity that is hosted on a remote machine.
  `void`
  `setWorkingDirectory(String dir)`
  Deprecated.
  Sets the name of the working directory in which the managed entity will run.
  `void`
  `validate()`
  Deprecated.
  Validates this configuration.

- ## Method Details

  - ### getHost

    String getHost()
    Deprecated.
    Returns the name of the host on which the managed entity runs or will run.
    Returns:
      the name of the host on which the managed entity runs or will run

  - ### setHost

    void setHost(String host)
    Deprecated.
    Sets the name of the host on which the managed entity will run.
    Parameters:
      `host` - the name of the host on which the managed entity will run

  - ### getWorkingDirectory

    String getWorkingDirectory()
    Deprecated.
    Returns the name of the working directory in which the managed entity runs or will run.
    Returns:
      the name of the working directory in which the managed entity runs or will run.

  - ### setWorkingDirectory

    void setWorkingDirectory(String dir)
    Deprecated.
    Sets the name of the working directory in which the managed entity will run.
    Parameters:
      `dir` - the name of the working directory in which the managed entity will run

  - ### getProductDirectory

    String getProductDirectory()
    Deprecated.
    Returns the name of the GemFire product directory to use when administering the managed entity.
    Returns:
      the name of the GemFire product directory to use when administering the managed entity

  - ### setProductDirectory

    void setProductDirectory(String dir)
    Deprecated.
    Sets the name of the GemFire product directory to use when administering the managed entity.
    Parameters:
      `dir` - the name of the GemFire product directory to use when administering the managed entity

  - ### getRemoteCommand

    String getRemoteCommand()
    Deprecated.
    Returns the command prefix used to administer a managed entity that is hosted on a remote machine. If the remote command is `null` (the default value), then the remote command associated with the distributed system will be used.
    Returns:
      the command prefix used to administer a managed entity that is hosted on a remote machine

  - ### setRemoteCommand

    void setRemoteCommand(String remoteCommand)
    Deprecated.
    Sets the command prefix used to administer a managed entity that is hosted on a remote machine.
    Parameters:
      `remoteCommand` - the command prefix used to administer a managed entity that is hosted on a remote machine

  - ### validate

    void validate()
    Deprecated.
    Validates this configuration.
    Throws:
      `IllegalStateException` - If a managed entity cannot be administered using this configuration

  - ### clone

    Object clone() throws CloneNotSupportedException
    Deprecated.
    Returns a new `ManagedEntityConfig` with the same configuration as this `ManagedEntityConfig`.
    Returns:
      a new `ManagedEntityConfig` with the same configuration as this `ManagedEntityConfig`
    Throws:
      `CloneNotSupportedException` - if the object's class does not support the Cloneable interface